Package org.eclipse.lemminx.services

## Class CompletionResponse

- java.lang.Object
- - org.eclipse.lsp4j.CompletionList
  - - org.eclipse.lemminx.services.CompletionResponse

All Implemented Interfaces:
  `ICompletionResponse`

    public class CompletionResponse
    extends org.eclipse.lsp4j.CompletionList
    implements ICompletionResponse

Completion response implementation.

### Constructor Summary

Constructors
`CompletionResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCompletionAttribute​(org.eclipse.lsp4j.CompletionItem completionItem)` Add completion attribute.
`void` `addCompletionItem​(org.eclipse.lsp4j.CompletionItem completionItem)` Add completion item.
`void` `addCompletionItem​(org.eclipse.lsp4j.CompletionItem completionItem, boolean fromGrammar)` Add completion item and mark as coming from grammar.
`boolean` `hasAttribute​(String attribute)`
`boolean` `hasSomeItemFromGrammar()` Returns `true` if there are completion items coming from grammar and false otherwise.

### Methods inherited from class org.eclipse.lsp4j.CompletionList

`equals, getItemDefaults, getItems, hashCode, isIncomplete, setIsIncomplete, setItemDefaults, setItems, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompletionResponse

    public CompletionResponse()

### Method Detail

#### addCompletionItem

    public void addCompletionItem​(org.eclipse.lsp4j.CompletionItem completionItem,
                                  boolean fromGrammar)

Description copied from interface: `ICompletionResponse`
Add completion item and mark as coming from grammar.

Specified by:
  `addCompletionItem` in interface `ICompletionResponse`

#### addCompletionItem

    public void addCompletionItem​(org.eclipse.lsp4j.CompletionItem completionItem)

Description copied from interface: `ICompletionResponse`
Add completion item.

Specified by:
  `addCompletionItem` in interface `ICompletionResponse`

#### hasSomeItemFromGrammar

    public boolean hasSomeItemFromGrammar()

Description copied from interface: `ICompletionResponse`
Returns `true` if there are completion items coming from grammar and false otherwise.

Specified by:
  `hasSomeItemFromGrammar` in interface `ICompletionResponse`
Returns:
  `true` if there are completion items coming from grammar and false otherwise.

#### hasAttribute

    public boolean hasAttribute​(String attribute)

Specified by:
  `hasAttribute` in interface `ICompletionResponse`

#### addCompletionAttribute

    public void addCompletionAttribute​(org.eclipse.lsp4j.CompletionItem completionItem)

Description copied from interface: `ICompletionResponse`
Add completion attribute.

Specified by:
  `addCompletionAttribute` in interface `ICompletionResponse`